#include "ReferenceCounter.h"

using namespace Framework;


ReferenceCounter::ReferenceCounter()
{
    ref = 1;
}

ReferenceCounter::~ReferenceCounter() {}

void *ReferenceCounter::getThis()
{
    ref++;
    return this;
}

void *ReferenceCounter::release()
{
    if( !--ref )
        delete this;
    return 0;
}